using System.ComponentModel;

namespace YBEE.EQM.Core;

/// <summary>
/// 数据上报类型
/// </summary>
public enum DataReportType
{
    /// <summary>
    /// 学生信息上报
    /// </summary>
    [Description("学生信息上报")]
    STUDENT = 1,
    /// <summary>
    /// 特殊学生上报
    /// </summary>
    [Description("特殊学生上报")]
    SP_STUDENT = 2,
    /// <summary>
    /// 教师信息上报
    /// </summary>
    [Description("教师信息上报")]
    TEACHER = 3,
    /// <summary>
    /// 教师科目上报
    /// </summary>
    [Description("教师科目上报")] 
    TEACHER_COURSE = 4,
    /// <summary>
    /// 缺测替补上报
    /// </summary>
    [Description("缺测替补上报")]
    ABSENT_REPLACE = 5,
    /// <summary>
    /// 校考成绩上报
    /// </summary>
    [Description("校考成绩上报")]
    SCHOOL_EXAM_SCORE = 6,
}
